Bug 250473 - graphics/mupdf: update to 1.18.0
Summary: graphics/mupdf: update to 1.18.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://mupdf.com/release_history.html
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2020-10-19 19:44 UTC by Zsolt Udvari
Modified: 2020-10-22 05:37 UTC (History)
2 users (show)

See Also:


Attachments
diff to 1.18.0 (2.81 KB, patch)
2020-10-19 19:44 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
Additional improvements in port Makefile (2.98 KB, patch)
2020-10-21 07:11 UTC, Fernando Apesteguía
fernape: maintainer-approval? (uzsolt)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2020-10-19 19:44:44 UTC
Created attachment 218903 [details]
diff to 1.18.0

Simple update to 1.18.0.
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-20 08:24:35 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Zsolt Udvari 2020-10-20 08:44:02 UTC
(In reply to Fernando Apesteguía from comment #1)
Sorry, I forgot it.
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-21 07:11:55 UTC
Created attachment 218938 [details]
Additional improvements in port Makefile

When building:

====> Running Q/A tests (stage-qa)
Warning: Possible REINPLACE_CMD issues:
- - REINPLACE_CMD ran, but did not modify file contents: Makerules
- - REINPLACE_CMD ran, but did not modify file contents: Makerules
- - REINPLACE_CMD ran, but did not modify file contents: Makethird

Makethird does not containt the variable to be replaced. The other one can be combined in a single REINPLACE_CMD command.

Would you mind checking the new patch?

Thanks
Comment 4 Zsolt Udvari 2020-10-21 08:46:09 UTC
(In reply to Fernando Apesteguía from comment #3)
I did notice it. My idea was if later appears again '-pipe' (and others) in Makerules don't need modify again.

Do you think should remove these lines?
Comment 5 Fernando Apesteguía freebsd_committer 2020-10-21 09:50:38 UTC
(In reply to Zsolt Udvari from comment #4)

Well, I removed the post-patch block completely and it builds and runs fine.

What was the purpose of removing -pipe -O2 in the first place?
Comment 6 Zsolt Udvari 2020-10-21 17:25:49 UTC
I think it was not me. Maybe the first appear here: https://svnweb.freebsd.org/ports/head/graphics/mupdf/Makefile?r1=257611&r2=258737

The reason I think the "Respect CFLAGS": https://www.freebsd.org/doc/en/books/porters-handbook/book.html#dads-cflags
Comment 7 Fernando Apesteguía freebsd_committer 2020-10-21 17:40:30 UTC
(In reply to Zsolt Udvari from comment #6)
In that case I will commit the version with the post-patch reworked.

Thanks!
Comment 8 Zsolt Udvari 2020-10-21 17:58:37 UTC
(In reply to Fernando Apesteguía from comment #7)
Okay, thanks!
Comment 9 commit-hook freebsd_committer 2020-10-22 05:36:32 UTC
A commit references this bug:

Author: fernape
Date: Thu Oct 22 05:36:23 UTC 2020
New revision: 552929
URL: https://svnweb.freebsd.org/changeset/ports/552929

Log:
  graphics/mupdf: update to 1.18.0

  ChangeLog: https://mupdf.com/release_history.html

  While here rework post-patch and remove noop REINPLACE_CMD

  PR:	250473
  Submitted by:	uzsolt@uzsolt.hu (maintainer)

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/files/patch-Makefile
  head/graphics/mupdf/pkg-plist
Comment 10 Fernando Apesteguía freebsd_committer 2020-10-22 05:37:17 UTC
Committed,

Thanks!